<template>
  <section class="section">
    <div class="container">
      <h1 v-if="error.statusCode === 404">Page not found</h1>
      <h1 v-else>An error occurred</h1>
      <nuxt-link to="/">Home page</nuxt-link>
    </div>
  </section>
</template>

<script>
const checkLogin = (store) => store.dispatch('CHECK_LOGIN')

export default {
    props: ['error'],
    layout: 'blog',
    beforeMount () {
        checkLogin(this.$store)
    }
}
</script>